--------------------------------------------------------------------
--
-- tashapp.adb --
--
-- Copyright (c) 1995-1996 Terry J. Westley
--
-- See the file "license_terms.html" for information on usage and
-- redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
--
--------------------------------------------------------------------

with Tcl.Ada; use Tcl.Ada;

package body TashApp is

   function "=" (Left, Right : in C.Int) return Boolean renames C."=";

   function Init (
      Interp : in Tcl_Interp) return C.Int is

   begin -- Init

      if Tcl_Init(interp) = TCL_ERROR then
	 return TCL_ERROR;
      end if;

      -- Call the init procedures for included packages.  Each call should
      -- look like this:
      -- 
      -- if Mod.Init(interp) = TCL_ERROR then
      --    return TCL_ERROR;
      -- end if;
      --
      -- where "Mod" is the name of the module.

      -- Call CreateCommand for application-specific commands, if
      -- they weren't already created by the init procedures called above.

      -- Specify a user-specific startup file to invoke if the application
      -- is run interactively.  Typically the startup file is "~/.apprc"
      -- where "app" is the name of the application.  If this line is deleted
      -- then no user-specific startup file will be run under any conditions.

      Tcl_SetVar (interp, "tcl_rcFileName", "~/.tashrc", TCL_GLOBAL_ONLY);
      return TCL_OK;

   end Init;

end TashApp;
